{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/HAYATOSI/3cx_contacts_test/1.0.0"}],"info":{"version":"1.0.0","title":"3cx_contacts_test","description":"指定した電話番号の連絡先を検索し、情報を取得します。"},"security":[{"application":["read"]}],"paths":{"/contacts":{"get":{"tags":["連絡先取得API"],"summary":"連絡先取得API","description":"指定した電話番号の連絡先を検索し、情報を取得します。","parameters":[{"name":"phone","in":"query","description":"電話番号","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","example":1},"name":{"type":"string","example":"Test User"},"email":{"type":"string","example":"example@test.com"},"phone":{"type":"string","example":"09012341234"}}}}}}}}}},"components":{"schemas":{},"securitySchemes":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://example.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources"}}}}}}}